## UDisksISCSISession

UDisksISCSISession — Generated C code for the org.freedesktop.UDisks2.ISCSI.Session D-Bus interface

## Functions

void | udisks_iscsi_session_proxy_new ()
UDisksISCSISession * | udisks_iscsi_session_proxy_new_finish ()
UDisksISCSISession * | udisks_iscsi_session_proxy_new_sync ()
void | udisks_iscsi_session_proxy_new_for_bus ()
UDisksISCSISession * | udisks_iscsi_session_proxy_new_for_bus_finish ()
UDisksISCSISession * | udisks_iscsi_session_proxy_new_for_bus_sync ()
gint | udisks_iscsi_session_get_abort_timeout ()
void | udisks_iscsi_session_set_abort_timeout ()
const gchar * | udisks_iscsi_session_get_address ()
gchar * | udisks_iscsi_session_dup_address ()
void | udisks_iscsi_session_set_address ()
gint | udisks_iscsi_session_get_lu_reset_timeout ()
void | udisks_iscsi_session_set_lu_reset_timeout ()
const gchar * | udisks_iscsi_session_get_persistent_address ()
gchar * | udisks_iscsi_session_dup_persistent_address ()
void | udisks_iscsi_session_set_persistent_address ()
gint | udisks_iscsi_session_get_persistent_port ()
void | udisks_iscsi_session_set_persistent_port ()
gint | udisks_iscsi_session_get_port ()
void | udisks_iscsi_session_set_port ()
gint | udisks_iscsi_session_get_recovery_timeout ()
void | udisks_iscsi_session_set_recovery_timeout ()
const gchar * | udisks_iscsi_session_get_target_name ()
gchar * | udisks_iscsi_session_dup_target_name ()
void | udisks_iscsi_session_set_target_name ()
gint | udisks_iscsi_session_get_tgt_reset_timeout ()
void | udisks_iscsi_session_set_tgt_reset_timeout ()
gint | udisks_iscsi_session_get_tpgt ()
void | udisks_iscsi_session_set_tpgt ()
void | udisks_iscsi_session_call_logout ()
gboolean | udisks_iscsi_session_call_logout_finish ()
gboolean | udisks_iscsi_session_call_logout_sync ()
void | udisks_iscsi_session_call_logout_interface ()
gboolean | udisks_iscsi_session_call_logout_interface_finish ()
gboolean | udisks_iscsi_session_call_logout_interface_sync ()
UDisksISCSISession * | udisks_iscsi_session_skeleton_new ()
void | udisks_iscsi_session_complete_logout ()
void | udisks_iscsi_session_complete_logout_interface ()

## Properties

int | abort-timeout | Read / Write
char * | address | Read / Write
int | lu-reset-timeout | Read / Write
char * | persistent-address | Read / Write
int | persistent-port | Read / Write
int | port | Read / Write
int | recovery-timeout | Read / Write
char * | target-name | Read / Write
int | tgt-reset-timeout | Read / Write
int | tpgt | Read / Write

## Signals

gboolean | handle-logout | Run Last
gboolean | handle-logout-interface | Run Last

## Types and Values

| UDisksISCSISession
struct | UDisksISCSISessionProxy
struct | UDisksISCSISessionProxyClass
struct | UDisksISCSISessionSkeleton
struct | UDisksISCSISessionSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksISCSISession
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksISCSISessionSkeleton
        ╰── GDBusProxy
            ╰── UDisksISCSISessionProxy

## Prerequisites

UDisksISCSISession requires GObject.

## Implemented Interfaces

UDisksISCSISessionProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksISCSISession.

UDisksISCSISessionSkeleton implements GDBusInterface and UDisksISCSISession.

## Known Implementations

UDisksISCSISession is implemented by UDisksISCSISessionProxy and UDisksISCSISessionSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.ISCSI.Session D-Bus interface in C.

## Functions

### udisks_iscsi_session_proxy_new ()

    void
    udisks_iscsi_session_proxy_new (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.ISCSI.Session. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_iscsi_session_proxy_new_finish()` to get the result of the operation.

See `udisks_iscsi_session_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_iscsi_session_proxy_new_finish ()

    UDisksISCSISession *
    udisks_iscsi_session_proxy_new_finish (GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `udisks_iscsi_session_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_iscsi_session_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksISCSISessionProxy]

### udisks_iscsi_session_proxy_new_sync ()

    UDisksISCSISession *
    udisks_iscsi_session_proxy_new_sync (GDBusConnection *connection,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.ISCSI.Session. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_iscsi_session_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksISCSISessionProxy]

### udisks_iscsi_session_proxy_new_for_bus ()

    void
    udisks_iscsi_session_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_iscsi_session_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_iscsi_session_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_iscsi_session_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_iscsi_session_proxy_new_for_bus_finish ()

    UDisksISCSISession *
    udisks_iscsi_session_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_iscsi_session_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_iscsi_session_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksISCSISessionProxy]

### udisks_iscsi_session_proxy_new_for_bus_sync ()

    UDisksISCSISession *
    udisks_iscsi_session_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_iscsi_session_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_iscsi_session_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksISCSISessionProxy]

### udisks_iscsi_session_get_abort_timeout ()

    gint
    udisks_iscsi_session_get_abort_timeout
                                   (UDisksISCSISession *object);

Gets the value of the "abort_timeout" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value.

### udisks_iscsi_session_set_abort_timeout ()

    void
    udisks_iscsi_session_set_abort_timeout
                                   (UDisksISCSISession *object,
                                    gint value);

Sets the "abort_timeout" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_address ()

    const gchar *
    udisks_iscsi_session_get_address (UDisksISCSISession *object);

Gets the value of the "address" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_iscsi_session_dup_address()` if on another thread.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_iscsi_session_dup_address ()

    gchar *
    udisks_iscsi_session_dup_address (UDisksISCSISession *object);

Gets a copy of the "address" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_iscsi_session_set_address ()

    void
    udisks_iscsi_session_set_address (UDisksISCSISession *object,
                                      const gchar *value);

Sets the "address" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_lu_reset_timeout ()

    gint
    udisks_iscsi_session_get_lu_reset_timeout
                                   (UDisksISCSISession *object);

Gets the value of the "lu_reset_timeout" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value.

### udisks_iscsi_session_set_lu_reset_timeout ()

    void
    udisks_iscsi_session_set_lu_reset_timeout
                                   (UDisksISCSISession *object,
                                    gint value);

Sets the "lu_reset_timeout" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_persistent_address ()

    const gchar *
    udisks_iscsi_session_get_persistent_address
                                   (UDisksISCSISession *object);

Gets the value of the "persistent_address" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_iscsi_session_dup_persistent_address()` if on another thread.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_iscsi_session_dup_persistent_address ()

    gchar *
    udisks_iscsi_session_dup_persistent_address
                                   (UDisksISCSISession *object);

Gets a copy of the "persistent_address" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_iscsi_session_set_persistent_address ()

    void
    udisks_iscsi_session_set_persistent_address
                                   (UDisksISCSISession *object,
                                    const gchar *value);

Sets the "persistent_address" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_persistent_port ()

    gint
    udisks_iscsi_session_get_persistent_port
                                   (UDisksISCSISession *object);

Gets the value of the "persistent_port" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value.

### udisks_iscsi_session_set_persistent_port ()

    void
    udisks_iscsi_session_set_persistent_port
                                   (UDisksISCSISession *object,
                                    gint value);

Sets the "persistent_port" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_port ()

    gint
    udisks_iscsi_session_get_port (UDisksISCSISession *object);

Gets the value of the "port" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value.

### udisks_iscsi_session_set_port ()

    void
    udisks_iscsi_session_set_port (UDisksISCSISession *object,
                                   gint value);

Sets the "port" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_recovery_timeout ()

    gint
    udisks_iscsi_session_get_recovery_timeout
                                   (UDisksISCSISession *object);

Gets the value of the "recovery_timeout" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value.

### udisks_iscsi_session_set_recovery_timeout ()

    void
    udisks_iscsi_session_set_recovery_timeout
                                   (UDisksISCSISession *object,
                                    gint value);

Sets the "recovery_timeout" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_target_name ()

    const gchar *
    udisks_iscsi_session_get_target_name (UDisksISCSISession *object);

Gets the value of the "target_name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_iscsi_session_dup_target_name()` if on another thread.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_iscsi_session_dup_target_name ()

    gchar *
    udisks_iscsi_session_dup_target_name (UDisksISCSISession *object);

Gets a copy of the "target_name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_iscsi_session_set_target_name ()

    void
    udisks_iscsi_session_set_target_name (UDisksISCSISession *object,
                                          const gchar *value);

Sets the "target_name" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_tgt_reset_timeout ()

    gint
    udisks_iscsi_session_get_tgt_reset_timeout
                                   (UDisksISCSISession *object);

Gets the value of the "tgt_reset_timeout" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value.

### udisks_iscsi_session_set_tgt_reset_timeout ()

    void
    udisks_iscsi_session_set_tgt_reset_timeout
                                   (UDisksISCSISession *object,
                                    gint value);

Sets the "tgt_reset_timeout" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_get_tpgt ()

    gint
    udisks_iscsi_session_get_tpgt (UDisksISCSISession *object);

Gets the value of the "tpgt" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |

#### Returns

The property value.

### udisks_iscsi_session_set_tpgt ()

    void
    udisks_iscsi_session_set_tpgt (UDisksISCSISession *object,
                                   gint value);

Sets the "tpgt" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksISCSISession. |
value | The value to set. |

### udisks_iscsi_session_call_logout ()

    void
    udisks_iscsi_session_call_logout (UDisksISCSISession *proxy,
                                      GVariant *arg_options,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously invokes the `Logout()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_iscsi_session_call_logout_finish()` to get the result of the operation.

See `udisks_iscsi_session_call_logout_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksISCSISessionProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_iscsi_session_call_logout_finish ()

    gboolean
    udisks_iscsi_session_call_logout_finish
                                   (UDisksISCSISession *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_iscsi_session_call_logout()`.

#### Parameters

proxy | A UDisksISCSISessionProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_iscsi_session_call_logout()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_iscsi_session_call_logout_sync ()

    gboolean
    udisks_iscsi_session_call_logout_sync (UDisksISCSISession *proxy,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously invokes the `Logout()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_iscsi_session_call_logout()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksISCSISessionProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_iscsi_session_call_logout_interface ()

    void
    udisks_iscsi_session_call_logout_interface
                                   (UDisksISCSISession *proxy,
                                    const gchar *arg_iface,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `LogoutInterface()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_iscsi_session_call_logout_interface_finish()` to get the result of the operation.

See `udisks_iscsi_session_call_logout_interface_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksISCSISessionProxy. |
arg_iface | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_iscsi_session_call_logout_interface_finish ()

    gboolean
    udisks_iscsi_session_call_logout_interface_finish
                                   (UDisksISCSISession *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_iscsi_session_call_logout_interface()`.

#### Parameters

proxy | A UDisksISCSISessionProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_iscsi_session_call_logout_interface()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_iscsi_session_call_logout_interface_sync ()

    gboolean
    udisks_iscsi_session_call_logout_interface_sync
                                   (UDisksISCSISession *proxy,
                                    const gchar *arg_iface,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `LogoutInterface()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_iscsi_session_call_logout_interface()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksISCSISessionProxy. |
arg_iface | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_iscsi_session_skeleton_new ()

    UDisksISCSISession *
    udisks_iscsi_session_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.ISCSI.Session.

#### Returns

The skeleton object.

[transfer full][type UDisksISCSISessionSkeleton]

### udisks_iscsi_session_complete_logout ()

    void
    udisks_iscsi_session_complete_logout (UDisksISCSISession *object,
                                          GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Logout()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksISCSISession. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

### udisks_iscsi_session_complete_logout_interface ()

    void
    udisks_iscsi_session_complete_logout_interface
                                   (UDisksISCSISession *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `LogoutInterface()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksISCSISession. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

## Types and Values

### UDisksISCSISession

    typedef struct _UDisksISCSISession UDisksISCSISession;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.ISCSI.Session.

### struct UDisksISCSISessionProxy

    struct UDisksISCSISessionProxy;

The UDisksISCSISessionProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksISCSISessionProxyClass

    struct UDisksISCSISessionProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksISCSISessionProxy.

#### Members

### struct UDisksISCSISessionSkeleton

    struct UDisksISCSISessionSkeleton;

The UDisksISCSISessionSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksISCSISessionSkeletonClass

    struct UDisksISCSISessionSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksISCSISessionSkeleton.

#### Members

## Property Details

### The `“abort-timeout”` property

      “abort-timeout”            int

Represents the D-Bus property "abort_timeout".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: 0

### The `“address”` property

      “address”                  char *

Represents the D-Bus property "address".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: NULL

### The `“lu-reset-timeout”` property

      “lu-reset-timeout”         int

Represents the D-Bus property "lu_reset_timeout".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: 0

### The `“persistent-address”` property

      “persistent-address”       char *

Represents the D-Bus property "persistent_address".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: NULL

### The `“persistent-port”` property

      “persistent-port”          int

Represents the D-Bus property "persistent_port".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: 0

### The `“port”` property

      “port”                     int

Represents the D-Bus property "port".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: 0

### The `“recovery-timeout”` property

      “recovery-timeout”         int

Represents the D-Bus property "recovery_timeout".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: 0

### The `“target-name”` property

      “target-name”              char *

Represents the D-Bus property "target_name".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: NULL

### The `“tgt-reset-timeout”` property

      “tgt-reset-timeout”        int

Represents the D-Bus property "tgt_reset_timeout".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: 0

### The `“tpgt”` property

      “tpgt”                     int

Represents the D-Bus property "tpgt".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksISCSISession

Flags: Read / Write

Default value: 0

## Signal Details

### The `“handle-logout”` signal

    gboolean
    user_function (UDisksISCSISession    *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Logout()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_iscsi_session_complete_logout()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksISCSISession. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3

### The `“handle-logout-interface”` signal

    gboolean
    user_function (UDisksISCSISession    *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_iface,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `LogoutInterface()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_iscsi_session_complete_logout_interface()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksISCSISession. |
invocation | A GDBusMethodInvocation. |
arg_iface | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3